
Installer - Bug #28996

pulpcore 3.0.1 needs to have PULP_STATIC_ROOT set

02/12/2020 04:33 PM - Dennis Kliban

Status: Closed   

Priority: Normal   

Assignee: William Clark   

Category: Foreman modules   

Target version: 2.0.0   

Difficulty:  Fixed in Releases: 2.0.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

As part of an SELinux related bugfix

0

, the default value of PULP_STATIC_ROOT has changed from /var/lib/pulp/static/ to 

/var/lib/pulp/assets/.

In order to work with the pulpcore-selinux policy, pulpcore 3.0.1 installations need to:

- define PULP_STATIC_ROOT environment variable before running the 'django-admin collectstatic' com

mand. 

- define PULP_STATIC_ROOT in the systemd unit file for pulpcore-api

 This will not be necessary once pulpcore 3.2.0 is being used.

[0] https://pulp.plan.io/issues/5995

Related issues:

Blocks Installer - Tracker #28736: Use Pulp 3 for File and Container content ... Closed

Associated revisions

Revision 236e4d2e - 02/17/2020 07:50 PM - William Clark

Fixes #28996 - Set PULP_STATIC_ROOT

History

#1 - 02/12/2020 04:36 PM - Dennis Kliban

- Description updated

#2 - 02/12/2020 04:42 PM - Ewoud Kohl van Wijngaarden

- Related to Tracker #26987: Pulp3 Main tracker added

#3 - 02/12/2020 05:13 PM - Ewoud Kohl van Wijngaarden

- Related to deleted (Tracker #26987: Pulp3 Main tracker)

#4 - 02/12/2020 05:13 PM - Ewoud Kohl van Wijngaarden

- Blocks Tracker #28736: Use Pulp 3 for File and Container content in Katello added

#5 - 02/17/2020 08:01 PM - William Clark

- Status changed from New to Closed

Applied in changeset puppet-pulpcore|236e4d2e24ad7b199e33a9137629a2be3c76c8d8.

#6 - 03/05/2020 11:42 AM - Ewoud Kohl van Wijngaarden

- Category set to Foreman modules

- Assignee set to William Clark
https://projects.theforeman.org/projects/puppet-foreman/repository/puppet-pulpcore/revisions/236e4d2e24ad7b199e33a9137629a2be3c76c8d8


- Target version set to 2.0.0

- Triaged changed from No to Yes

- Fixed in Releases 2.1.0 added

This should be cherry picked into 2.0.0-rc3

#7 - 03/25/2020 02:58 PM - Ewoud Kohl van Wijngaarden

- Fixed in Releases 2.0.0 added

- Fixed in Releases deleted (2.1.0)

Part of theforeman-pulpcore 0.2.0 which was picked into 2.0

Powered by TCPDF (www.tcpdf.org)

05/12/2024 2/2

http://www.tcpdf.org

